Bug 4281 - reports dictionary limited to only 1 field
Summary: reports dictionary limited to only 1 field
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: PC All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-26 04:34 UTC by Nicole C. Engard
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 4281: Reports dictionary supports only 1 field selection (4.88 KB, patch)
2015-03-24 15:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF]Bug 4281: Reports dictionary supports only 1 field selection (4.94 KB, patch)
2015-04-09 00:57 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 4281: Reports dictionary supports only 1 field selection (5.00 KB, patch)
2015-04-10 16:37 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:25:19 UTC


---- Reported by nengard@gmail.com 2010-02-26 16:34:03 ----

when using the reports dictionary you can only pick one field to limit to - but the system doesn't stop you from selecting multiples.  so if you pick more than one i just chooses one of those to appear on the next step and ignores the other fields you chose.

we need a warning on this page or something to prevent the selection of multiple fields.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:25 UTC  ---

This bug was previously known as _bug_ 4281 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4281

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Jonathan Druart 2015-03-24 15:15:14 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-04-09 00:57:42 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-04-10 16:37:33 UTC
Created attachment 37665 [details] [review]
[PASSED QA] Bug 4281: Reports dictionary supports only 1 field selection

The reports dictionary allows the user to select several fields, but
only 1 is used.
The interface is quite confusing.
This patch removes the multiple selection and permit to select only 1
field.

Test plan:
1/ Create a report dictionary (reports/dictionary.pl)
2/ On the step 3, confirm that only 1 field can be selected

Confirm there is no regression on this tool.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-05-07 15:36:50 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-05-17 21:42:49 UTC
Pushed to 3.18.x will be in 3.18.7